<?php

/**
 * The public-facing functionality of the plugin.
 *
 * @link       https://www.dugudlabs.com
 * @since      1.0.0
 *
 * @package    Eyewear_prescription_form
 * @subpackage Eyewear_prescription_form/public
 */

/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the public-facing stylesheet and JavaScript.
 *
 * @package    Eyewear_prescription_form
 * @subpackage Eyewear_prescription_form/public
 * @author     dugudlabs <ravinstra5876@gmail.com>
 */

class Eyewear_prescription_form_Public {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of the plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;
		
	}
	public function start(){
		//add_filter( 'woocommerce_add_cart_item_data', array( $this, 'update_prescription_price' ), 35, 3 );
		//add_action( 'woocommerce_before_add_to_cart_button', 'add_gift_wrap_field' );
		//add_action( 'woocommerce_before_calculate_totals', 'add_prescription_price_into_cart', 36, 1 );
		add_action('woocommerce_before_add_to_cart_button','epc_specfit_add_custom_fields');
		add_filter('woocommerce_add_cart_item_data','epc_specfit_wdm_add_item_data',10,3);
		add_filter('woocommerce_get_item_data','epc_specfit_wdm_add_item_meta',10,2);
		add_action( 'woocommerce_checkout_create_order_line_item', 'epc_specfit_wdm_add_custom_order_line_item_meta',10,4 );	
		add_action( 'woocommerce_before_add_to_cart_button', 'epc_specfit_show_prescription_button', 32 ,0 );
		add_action( 'woocommerce_before_calculate_totals', 'add_prescription_price_into_cart', 10, 1 );

		//add_action( 'woocommerce_after_shop_loop_item', 'show_loop_button', 10);
			//add_action( 'woocommerce_after_shop_loop', 'show_try_on_popup', 10);
	}
	
	
	/**
	 * Register the stylesheets for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Eyewear_prescription_form_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Eyewear_prescription_form_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */
		
	}

	/**
	 * Register the JavaScript for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Eyewear_prescription_form_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Eyewear_prescription_form_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */
		
	}
}
function load_script_and_styles_epf_dugudlabs(){
		//wp_enqueue_style('jquery');
		wp_enqueue_style( 'epf_dugudlabs', plugin_dir_url( __FILE__ ) . 'css/eyewear_prescription_form-public.css', array(), '1.0.0', 'all' );
		wp_enqueue_script( 'epf_dugudlabs'.'corefunctions', plugin_dir_url( __FILE__ ) . 'js/load_core_functions.js');
		//wp_enqueue_script('jquery');
		//wp_enqueue_script('jquery-ui-core');
		//wp_enqueue_script('jquery-ui-widget');
		//wp_enqueue_script('jquery-ui-mouse');
		//wp_enqueue_script('jquery-ui-draggable');
		//wp_enqueue_script('jquery-ui-droppable');
		// wp_enqueue_script('jquery-ui-resizable');
		//wp_enqueue_script('jquery-ui-tooltip');
		//wp_enqueue_script( 'epfjqueryuitouchjs', plugin_dir_url( __FILE__ ) . 'js/jquery.ui.touch-punch.min.js',array( 'jquery-ui-mouse','jquery-ui-widget' ));	
		//Till Here
		wp_enqueue_script( 'epf_dugudlabs', plugin_dir_url( __FILE__ ) . 'js/eyewear_prescription_form-public.js', array( 'jquery' ), '1.0.0', false );

}
function epc_specfit_show_prescription_button(){
	global $product;
	$product_cat='';
	$terms = get_the_terms($product->get_id(), 'product_cat');
	foreach ($terms as $term) {
		if($term->name=='EPF-ENABLED'){
			$product_cat = $term->name;
		}
	}
	if($product_cat=='EPF-ENABLED'){
	load_script_and_styles_epf_dugudlabs();
	include plugin_dir_path(__FILE__).'../languages/eyewear_prescription_form_lang.php';
	include_once plugin_dir_path(__FILE__).'partials/eyewear_prescription_form-public-advanced.php'; 
}
}
function epc_specfit_wdm_add_item_data($cart_item_data, $product_id, $variation_id)
{
	$product_cat='';
	$terms = get_the_terms($product_id, 'product_cat');
	foreach ($terms as $term) {
		if($term->name=='EPF-ENABLED'){
			$product_cat = $term->name;
		}
	}
	if($product_cat=='EPF-ENABLED'){
		global $wpdb;
		include plugin_dir_path(__FILE__).'../languages/eyewear_prescription_form_lang.php';
		$epc_items = array("RIGHT-PD","LEFT-PD","SINGLE-PD","MEASURED-PD");
		$custom_items=array("GlassType","LensType","LensCoating","EPF_Color","LensTint");
		$prescription_items= array("RIGHT-SPH","RIGHT-CYL","RIGHT-AXIS","RIGHT-ADD","LEFT-SPH","LEFT-CYL","LEFT-AXIS","LEFT-ADD");
		$words_epf_dugudlabs_lng = $words_epf_dugudlabs[get_locale()];
		if($words_epf_dugudlabs_lng == null){
			$words_epf_dugudlabs_lng = $words_epf_dugudlabs["en_US"];
		}
		foreach($custom_items as $item){
			$data = new stdClass();
			$cardArray=array();

			if(isset($_REQUEST[$item]) && $_REQUEST[$item] !='' )
			{	
				
				if($item == "EPF_Color"){
					$productColorId=$product_id.'_'.str_replace("#","",$_REQUEST[$item]);
					$query = get_post_meta($product_id, 'epf_product_color_'.$productColorId ,true);
					$data->name=$query->colorName;
					$data->price=$query->colorPrice;
					$data = json_encode($data);
					array_push($cardArray,$data);
					
				}
				else{
					if($item == "LensType"){
						$tableName= $wpdb->prefix."lens";
					}
					elseif($item == "GlassType"){
						$tableName= $wpdb->prefix."glasses";
					}
					else if($item == "LensCoating"){
						$tableName= $wpdb->prefix."coatings";
					}
					else if($item == "LensTint"){
						$tableName= $wpdb->prefix."tints";
					}
					$arr= explode(",",$_REQUEST[$item]);
					foreach($arr as $cardId){
						$data = $wpdb->get_row($wpdb->prepare("SELECT name,price FROM $tableName WHERE `id` = %d",$cardId));
						if($data!=null || $data!=''){
							$data = json_encode($data);
							array_push($cardArray,$data);
						}
					}
					
				}
				if(sizeof($cardArray)>0)
						$cart_item_data[$item] = $cardArray;
				
				
			}
		}
		
		foreach($epc_items as $item){
			$data = new stdClass();
			$cardArray=array();
			if(isset($_REQUEST[$item]) && ($_REQUEST[$item] != $words_epf_dugudlabs_lng["select"] && strlen($_REQUEST[$item]) != 0 ))
			{
				$data->name= $_REQUEST[$item];
				$data->price= 0;
				$data = json_encode($data);
				array_push($cardArray,$data);
				$cart_item_data[$item] = $cardArray;
			}
		}

		foreach($prescription_items as $item){
			$data = new stdClass();
			$cardArray=array();
			if(isset($_REQUEST[$item]) && ($_REQUEST[$item] != $words_epf_dugudlabs_lng["select"] && strlen($_REQUEST[$item]) != 0 ))
			{
				$arg=1;
				$tableName=$wpdb->prefix.'epf_properties';
				$initial_propertPrice = $wpdb->get_results ( $wpdb->prepare("SELECT *  FROM   $tableName WHERE %d",$arg));
				$initial_propertPrice_json = $initial_propertPrice[0]->data;
				$initial_propertPriceString = str_replace("\\","",$initial_propertPrice_json);
				$initial_propertPrice=json_decode($initial_propertPriceString,true);

				$itemArray = explode("-",$item);
				$data->name= $_REQUEST[$item];
				$data->price= $initial_propertPrice[$itemArray[0]][$itemArray[1]][$_REQUEST[$item]]['price'];
				$data = json_encode($data);
				array_push($cardArray,$data);
				// $str='{"'.$_REQUEST[$item].'":{"price":"'.$initial_propertPrice[$itemArray[0]][$itemArray[1]][$_REQUEST[$item]]['price'].'"}}';
				$cart_item_data[$item] = $cardArray;
			}
		}
		require_once( ABSPATH . 'wp-admin/includes/admin.php' );
		require_once( ABSPATH . 'wp-admin/includes/file.php' );	
		
		
		return $cart_item_data;
	}
	return $cart_item_data;
}
function epc_specfit_wdm_add_item_meta($item_data, $cart_item)
{	
	$initial_propertPriceString = get_option( 'epc_property_string');
	$priscription= true;
	$epc_items = array("RIGHT-PD","LEFT-PD","SINGLE-PD","MEASURED-PD","GlassType","LensType","LensCoating","EPF_Color","LensTint","RIGHT-SPH","RIGHT-CYL","RIGHT-AXIS","RIGHT-ADD","LEFT-SPH","LEFT-CYL","LEFT-AXIS","LEFT-ADD");

	foreach($epc_items as $item){
		if(array_key_exists($item, $cart_item) && $cart_item[$item]!='' && $cart_item[$item]!='select')
		{	
			$itemNameStr= '';
			$itemPricestr= '';
				foreach($cart_item[$item] as $cardItems){
					$custom_details = str_replace("\\","",$cardItems);
					$custom_details = json_decode($custom_details, true);
					if($custom_details["price"]!= null && $custom_details["price"]>0){
						if($itemNameStr==''){
							$itemNameStr=$itemNameStr.$custom_details['name'];
							$itemPricestr=$itemPricestr.$custom_details['price'].get_woocommerce_currency_symbol();
						}
						else{
							$itemNameStr=$itemNameStr.",".$custom_details['name'];
							$itemPricestr=$itemPricestr.",".$custom_details['price'].get_woocommerce_currency_symbol();
						}
					}
					else{
						if($itemNameStr==''){
							$itemNameStr=$itemNameStr.$custom_details['name'];
							$itemPricestr=$itemPricestr.'0'.get_woocommerce_currency_symbol();
						}
						else{
							$itemNameStr=$itemNameStr.",".$custom_details['name'];
							$itemPricestr=$itemPricestr.",".'0'.get_woocommerce_currency_symbol();
						}
					}
				}
				$new_item = array(
					"key"=>$item,
					"value"=>$itemNameStr.'('.$itemPricestr.')'
				);
				array_push($item_data,$new_item);
		}
	}
	if(isset($cart_item['prescription_file'])){
		$new_item = array(
			"key"=>'prescription_file',
			"value"=>$cart_item['prescription_file']
		);
		array_push($item_data,$new_item);
	}
    return $item_data;
}
function epc_specfit_add_custom_fields()
{
    global $product;
    //ob_start();
    ?>
        <div class="wdm-custom-fields">
			<?php 
			$epc_items = array("prescription_file","GlassType","RIGHT-SPH","RIGHT-CYL","RIGHT-AXIS","RIGHT-ADD","RIGHT-PD","LEFT-SPH","LEFT-CYL","LEFT-AXIS","LEFT-ADD","LEFT-PD","LensType","LensCoating","SINGLE-PD","EPF_Color","LensTint","MEASURED-PD");
			foreach($epc_items as $item){
				echo '<input style="display: none !important;" id="'.$item.'" type="text" name="'.$item.'">';
			}
            ?>
           
        </div>
        <div class="clear"></div>

    <?php

    //$content = ob_get_contents();
    //ob_end_flush();

    //return $content;
} 
function epc_specfit_wdm_add_custom_order_line_item_meta($item, $cart_item_key, $values, $order)
{
	$epc_items = array("prescription_file","GlassType","RIGHT-SPH","RIGHT-CYL","RIGHT-AXIS","RIGHT-ADD","RIGHT-PD","LEFT-SPH","LEFT-CYL","LEFT-AXIS","LEFT-ADD","LEFT-PD","LensType","LensCoating","SINGLE-PD","EPF_Color","LensTint","MEASURED-PD");
	foreach($epc_items as $item1){
		if(array_key_exists($item1, $values) && $values[$item1]!=''){
			if($item1=='prescription_file')
				$item->add_meta_data($item1,$values[$item1]);
			else{	
				$name = '';
				foreach($values[$item1] as $cardItems){
					$cardItems1=json_decode($cardItems,false);
					$name.=$cardItems1->name.'-'.$cardItems1->price.get_woocommerce_currency_symbol().',';
				}				
				$item->add_meta_data($item1,$name);
			}
		}
		}
}
function add_prescription_price_into_cart( $cart_obj ) {
	global $wpdb;
	$arg=1;
	$tableName=$wpdb->prefix.'epf_properties';
	$initial_propertPrice = $wpdb->get_results ( $wpdb->prepare("SELECT *  FROM   $tableName WHERE %d",$arg));
	$initial_propertPrice_json = $initial_propertPrice[0]->data;
	$initial_propertPriceString = str_replace("\\","",$initial_propertPrice_json);
	$initial_propertPrice=json_decode($initial_propertPriceString,true);
	foreach($cart_obj->get_cart() as $key=>$value){
		$epc_items = array("GlassType","LensType","LensCoating","EPF_Color","LensTint","RIGHT-SPH","RIGHT-CYL","RIGHT-AXIS","RIGHT-ADD","LEFT-SPH","LEFT-CYL","LEFT-AXIS","LEFT-ADD");
		$price=$value['data']->get_price();
		foreach($epc_items as $item1){
		if(array_key_exists($item1, $value) && $value[$item1]!='')
			{
				if(gettype($value[$item1])=='array'){
					foreach($value[$item1] as $cardItems){
						
						$json_details = str_replace("\\","",$cardItems);
						$details= json_decode($json_details);
						$propPrice=$details->price;
						$basePrice=str_replace(get_woocommerce_currency_symbol(),"",$propPrice);
						$price=$price+intval($basePrice);
					}
				}
			}
		}
		$value['data']->set_price( ( $price ) );
	}
  }
